### Property

# Phosh DBusSensorProxyCompass:compass-heading

since: 0

#### Declaration

    property compass-heading: double [ read, write ]

#### Description [src]

Represents the D-Bus property “CompassHeading”.

Since the D-Bus property for this `GObject` property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Type: | `gdouble`
Available since: | 0

Default value | 0.000000
Getter method | `phosh_dbus_sensor_proxy_compass_get_compass_heading()`
Setter method | `phosh_dbus_sensor_proxy_compass_set_compass_heading()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no